// tipo
var a = "CATEGORIA";
var b = "ANNIO";
var c = "NA";
// seccion
var p = "PREMIER";
var l = "LIBRERIA";
var pl = "PREMIERELIBRERIA"

function pintaTablas() {
	tablaTitulos(catalogos, "categoriasP", a, p);
	tablaCatalogos(catalogos,"tablaReleaseP",a,p);
	tablaCategoria(catalogos,p);

	// rentas libreria
	 tablaTitulos(catalogos,"categoriasL",a,l);
	 tablaCatalogos(catalogos,"tablaReleaseL",a,l);
	 tablaCategoria(catalogos,l);
}

function cambio(tipo, seccion) {
	var tablaMain;
	var tablaSec;

	if (seccion == p) {
		tablaMain = "categoriasP";
		tablaSec = "tablaReleaseP";
	} else if (seccion == l) {
		tablaMain = "categoriasL";
		tablaSec = "tablaReleaseL";
	} else if (seccion == pl) {
		tablaMain = "categoriasVentaPL";
		tablaSec = "tablaReleaseVentaPL";
	}
	$(".relleno").attr("colspan","1");
	if (tipo == a && seccion == p) {
		
		$(".ANNIO_PREMIER").remove();
		$(".NA_PREMIER").remove();
	}
	if (tipo == b && seccion == p) {
		$(".CATEGORIA_PREMIER").remove();
		$(".NA_PREMIER").remove();
	}
	if (tipo == c && seccion == p) {
		$(".CATEGORIA_PREMIER").remove();
		$(".ANNIO_PREMIER").remove();
	}

	if (tipo == a && seccion == l) {
		$(".ANNIO_LIBRERIA").remove();
		$(".NA_LIBRERIA").remove();
	}
	if (tipo == b && seccion == l) {
		$(".CATEGORIA_LIBRERIA").remove();
		$(".NA_LIBRERIA").remove();
	}
	if (tipo == c && seccion == l) {
		$(".CATEGORIA_LIBRERIA").remove();
		$(".ANNIO_LIBRERIA").remove();
	}
	tablaTitulos(catalogos, tablaMain, tipo, seccion);
	tablaCatalogos(catalogos, tablaSec, tipo, seccion);
}

function tablaTitulos(data, tabla, tipo, seccion) {
	;
	var clazz = tipo + "_" + seccion;
	var auxAnioI = $("#auxAnioI").val();
	var auxAnioF = $("#auxAnioF").val();
	var tiempo = auxAnioF - auxAnioI;
	if(tiempo == 0){
		tiempo=1;
	}else{
		tiempo=tiempo+1;
	}
	
		
	var arrayCatgoriasMG = data.catalogos.categoriaMGLista;
	var colspanAnio = parseInt($(".relleno").attr("colspan")) + tiempo + 1;

	for (var index = 0; index < tiempo; index++) {
		if (tipo == a) {
			$(".relleno").attr("colspan", colspanAnio);
			$("#tablaCategoria"+seccion).attr("hidden", false);
			$("#" + tabla + " tbody tr#trMinimoSingle").attr("hidden", true);
			$("#" + tabla + " tbody tr#trPrecio").attr("hidden", true);
			$("#" + tabla + " tbody tr td#idTitulos").html('Titulos');
			$("#" + tabla + " tbody tr td#idPrecio").html('Precio Unitario');

			$("#" + tabla + " tbody tr td#idAnio:last").after(
					"<td id='anio_" + 0 + "' class='anio "+ clazz + "'>A&ntilde;o " + (tiempo - index) + "</td>");
			$("#" + tabla + " tbody tr td#idTitulos:last")
					.after(
							"<td id='titulo_"+ 0 + "' class='columnaAnio "+ clazz+ "'>" +
									"<input id='tituloInput_"+ seccion + "'  type='text' maxlength='10'	class='form-control campoAnio campo titulo' value='' /></td>");
			$("#" + tabla + " tbody tr td#idPrecio:last")
					.after(
							"<td id='precio_"+ 0+ "' class='columnaAnio "+ clazz + "'>" +
									"<input id='precioInput_"+ seccion + "'  type='text' maxlength='25'	class='form-control campoAnio campo precio' value='' /></td>");
		} else if (tipo == b) {
			$("#tablaCategoria"+seccion).attr("hidden", true);
			$(".relleno").attr("colspan", colspanAnio);
			$("#" + tabla + " tbody tr#trMinimoSingle").attr("hidden", false);
			$("#" + tabla + " tbody tr#trPrecio").attr("hidden", false);
			$("#" + tabla + " tbody tr td#idTitulos").html('Cantidad de Titulos');
			$("#" + tabla + " tbody tr td#minimoSingle").html('Minimo garantizado');
			$("#" + tabla + " tbody tr td#idPrecio").html('Precio Unitario');
			
			
			$("#" + tabla + " tbody tr td#idAnio:last").after(
					"<td id='anio_" + 0 + "' class='anio "+ clazz+ "'>A&ntilde;o "+ (tiempo - index) + "</td>");
			$("#" + tabla + " tbody tr td#idTitulos:last")
					.after(
							"<td id='titulo_"+ 0+ "' class='columnaAnio "+ clazz+ "'>" +
									"<input id='tituloInput_"+ seccion+ "'  type='text' maxlength='10'	class='form-control campoAnio campo titulo' value='' /></td>");
			$("#" + tabla + " tbody tr td#minimoSingle:last")
					.after(
							"<td id='minimo_"+ 0+ "' class='columnaAnio "+ clazz+ "'>" +
									"<input id='minimoInput_"+ seccion+ "'  type='text' maxlength='25'	class='form-control campoAnio campo minimo' value='' /></td>");
			$("#" + tabla + " tbody tr td#idPrecio:last")
					.after(
							"<td id='precio_"+ 0+ "' class='columnaAnio "+ clazz+ "'>" +
									"<input id='precioInput_"+ seccion+ "'  type='text' maxlength='25'	class='form-control campoAnio campo precio' value='' /></td>");
		} else if (tipo == c) {
			$("#" + tabla + " tbody tr#trMinimoSingle").attr("hidden", true);
			$("#" + tabla + " tbody tr#trPrecio").attr("hidden", true);
			$("#" + tabla + " tbody tr td#idTitulos").html('Cantidad de Titulos');
			$("#" + tabla + " tbody tr td#idPrecio").html('Precio Unitario');
			$(".relleno").attr("colspan", colspanAnio);
			$("#" + tabla + " tbody tr td#idAnio:last").after("<td id='anio_" + 0 + "' class='anio "+ clazz+ "'>A&ntilde;o "	+ (tiempo - index) + "</td>");
			$("#" + tabla + " tbody tr td#idTitulos:last")
					.after(	"<td id='titulo_"+ 0+ "' class='columnaAnio "+ clazz+ "'>" +
									"<input id='tituloInput_"+ seccion+ "'  type='text' maxlength='10'	class='form-control campoAnio campo titulo' value='' /></td>");
			$("#" + tabla + " tbody tr td#idPrecio:last")
					.after("<td id='precio_"+ 0+ "' class='columnaAnio "+ clazz+ "'>" +
									"<input id='precioInput_"+ seccion+ "'  type='text' maxlength='25'	class='form-control campoAnio campo precio' value='' /></td>");

		}

	}
	if (tipo == a) {
		$("#" + tabla + " thead th.relleno").attr("colspan", colspanAnio);
		$(".relleno").attr("colspan", colspanAnio);
		for (var indexMG = 0; indexMG < arrayCatgoriasMG.length; indexMG++) {
			$("#" + tabla + " tbody tr:last").after("<tr id='categoriaRenglon' class='" + clazz + "'> "+ "<td id='idTituloCat' class='ajusteCategoria'>"+ arrayCatgoriasMG[indexMG].descripcion + "</td>"	+ "<td></td> " + "</tr>");
			
			var numElem = $("#" + tabla + " tbody tr td#anio_0").size();
			for (var index = 0; index < numElem; index++) {
				$("#" + tabla + " tbody tr td:last")
						.before(
								"<td id='tdInput_"+ index+ "' class='columnaAnio "+ clazz+ "'>"+
										"<input id='"+arrayCatgoriasMG[indexMG].idCategoria+"_catInput_"+ (index + 1) + "_"+seccion+"' type='text' class='form-control campo cmg' value='' />" + "</td> ");
			}

		}
	}
}

function tablaCatalogos(data, tabla, tipo, seccion) {
	;;
	var clazz = tipo + "_" + seccion;
	if (seccion == p) {
		$("#" + tabla + " thead tr#idCatalogo").val("Release Date(Days)");

		var renglones = data.catalogos.releaseDateLista;
		for (var index = 0; index < renglones.length; index++) {
			$("#" + tabla + " tbody tr:last")
					.after(
							"<tr id='idRenglon' class='"+ clazz+ "'> "
									+ "<td id='idTituloRenglon'>"
									+ renglones[index].descripcion
									+ "</td>"
									+ "<td><input id='"+renglones[index].idRelease+"_dla' class='campo form-control "+ clazz+ " release' value=''/></td> "
									+ "<td><input id='"+renglones[index].idRelease+"_estudio' class='campo form-control "+ clazz+ " release' value=''/></td> "
									+ "</tr>");
		}
	} else if (seccion == l) {
		$("#" + tabla + " thead tr#idCatalogo").val("Categoria)");

		var arrayCatgoriasMG = data.catalogos.categoriaMGLista;
		for (var index = 0; index < arrayCatgoriasMG.length; index++) {
			$("#" + tabla + " tbody tr:last")
					.after(
							"<tr id='idRenglon' class='"+ clazz+ "'> "
									+ "<td id='idTituloRenglon'>"
									+ arrayCatgoriasMG[index].descripcion
									+ "</td>"
									+ "<td><input id='"+arrayCatgoriasMG[index].idCategoria+"_dla' class='campo form-control "+ clazz+ " categoria' value=''/></td> "
									+ "<td><input id='"+arrayCatgoriasMG[index].idCategoria+"_estudio' class='campo form-control "+ clazz+ " categoria' value=''/></td> "
									+ "</tr>");
		}

	}
}

function tablaCategoria(data,seccion){
	for(var kCat=0;kCat<data.catalogos.categoriaMGLista.length;kCat++){
		$("#tablaCategoria"+seccion+" tbody tr:last").after("<tr class'categorias'>" +
				"<td id='"+data.catalogos.categoriaMGLista[kCat].idCategoria+"_idCategoria'>"+data.catalogos.categoriaMGLista[kCat].descripcion+"</td>"+
				"<td><input id='"+data.catalogos.categoriaMGLista[kCat].idCategoria+"' class='dinero form-control' value=''/></td>" +
				"</tr>");
	}
}

function cargaInfo(data){
	var tablaPrimaria=["categoriasP","categoriasL"];
	var tablaSecundaria=["tablaReleaseP","tablaReleaseL"];	
	var nombreClases=["idRenglon","idRenglon"];//se usa en conjunto con la tabla secundaria para leer inputs
	var seccionArr=[p,l];//categoriaSECCION --> tablaTerciaria
	var arrRadios=["optionsRadiosP","optionsRadiosL"];
	var optionCategoriaRadio=["categoriaP","categoriaL"];
	var optionAnnioRadio=["annioP","annioL"];
	var optionNARadio=["naP","naL"];
	var combosArray=["idContractualP","idContractualL"];
	
	
	var seleccionador=0;
	if(data.catalogos.ptrsLista.length>0){
		for(var kCombo=0;kCombo<data.catalogos.ptrsLista.length;kCombo++){
			if(data.catalogos.ptrsLista[kCombo].tipoAnnio=="CONTRACTUAL"){
				seleccionador=1;
			}else if(data.catalogos.ptrsLista[kCombo].tipoAnnio=="CALENDARIO"){
				seleccionador=2;
			}
				
			$("#"+combosArray[kCombo]).val(seleccionador);
		}
	}
	
	if(data.catalogos.ptrsAnnio.length>0){
		//ptrsAnnio: contiene informacion de la tabla priaria de las 3 secciones por eso se usa para recorrer las 3 tablas 
		for(var kAnnio=0;kAnnio<data.catalogos.ptrsAnnio.length;kAnnio++){
			//LA IMPORTANCIA EN ESTA SECCION ES PORQUE DEFINE QUE RADIO BUTTON ESTARA ACTIVO
			if(data.catalogos.ptrsCmg[kAnnio].length>0){
				var kCmg=0;
				$("#"+tablaPrimaria[kAnnio]+" tbody tr#categoriaRenglon td input").each(function(){
					$(this).val(data.catalogos.ptrsCmg[kAnnio][kCmg].minimo);
					kCmg++;
				});
				$('input:radio[name='+arrRadios[kAnnio]+']#'+optionCategoriaRadio[kAnnio]).attr("checked","true");			
			}else{
				if(data.catalogos.ptrsAnnio[kAnnio][0].minimo==null){
					$('input:radio[name='+arrRadios[kAnnio]+']#'+optionNARadio[kAnnio]).attr("checked","true");	
					cambio(c,seccionArr[kAnnio]);
				}else{
					$('input:radio[name='+arrRadios[kAnnio]+']#'+optionAnnioRadio[kAnnio]).attr("checked","true");	
					cambio(b,seccionArr[kAnnio]);
					
				}
				
				
				
			}
			//////////////TERMINA SECCION DE IMPORTANCIA		
			var kTitulo=0;
			$("#"+tablaPrimaria[kAnnio]+" tbody tr#trTitulo td input").each(function(){
				$(this).val(data.catalogos.ptrsAnnio[kAnnio][kTitulo].titulos);
				kTitulo++;
			});
			;
			var kPrecio=0;
			$("#"+tablaPrimaria[kAnnio]+" tbody tr#trPrecio td input").each(function(){			
				$(this).val(data.catalogos.ptrsAnnio[kAnnio][kPrecio].precio);
				kPrecio++;
			});
			var kMinimo=0;
			$("#"+tablaPrimaria[kAnnio]+" tbody tr#trMinimoSingle td input").each(function(){			
				$(this).val(data.catalogos.ptrsAnnio[kAnnio][kMinimo].minimo);
				kMinimo++;
			});
			
			
			//SECCION DE TABLA TERCIARIA
			var kPrecioCat=0;
			$("#tablaCategoria"+seccionArr[kAnnio]+" tbody tr td input").each(function(){
				$(this).val(data.catalogos.ptrsPrecio[kAnnio][kPrecioCat].precio);
				kPrecioCat++;
				
			});
			
			//TERMINA SECCION DE TABLA TERCIARIA
			
		}
	}
	
	
	//FOR DE TABLAS SECUNDARIAS, SE EJECUTA A PARTE PORQUE A PESAR DE SER 3 SECCIONES AQUI SON SIEMPRE 4 TABLAS SECUNDARAIAS
	var arregloAuxPelicula=[];
	var arregloAuxOtro=[];
	if(data.catalogos.ptrsCategorias.length>0){
		for(var kSecundario=0;kSecundario<tablaPrimaria.length;kSecundario++){
			//SECCION PARA CARGAR DATOSA LAS TABLAS SECUNDARIAS
			var colors=["red","green","blue","yellow"];
			var porcentajes=$("#"+tablaSecundaria[kSecundario]+" tbody tr#"+nombreClases[kSecundario]+" td input");
			if(kSecundario==0){
				var kAux=0;
				for(var krd=0;krd<porcentajes.length;krd++){							
					if(krd%2==0){
						porcentajes[krd].value=data.catalogos.ptrsRd[0][kAux].rsDLA;
					}else if(krd%2!=0){
						porcentajes[krd].value=data.catalogos.ptrsRd[0][kAux].rsEstudio;
						kAux++;
					}
					
					
				}
			}
			if(kSecundario==1){
				var kAux=0;
				for(var krd=0;krd<porcentajes.length;krd++){						
					if(krd%2==0){
						porcentajes[krd].value=data.catalogos.ptrsCategorias[1][kAux].rsDLA;
					}else if(krd%2!=0){
						porcentajes[krd].value=data.catalogos.ptrsCategorias[1][kAux].rsEstudio;
						kAux++;
					}
					
					
				}
			}
			if(kSecundario==2){
				var kAux=0;
				for(var krd=0;krd<porcentajes.length;krd++){							
					if(krd%2==0){
						porcentajes[krd].value=arregloAuxPelicula[kAux].rsDLA;
					}else if(krd%2!=0){
						porcentajes[krd].value=arregloAuxPelicula[kAux].rsEstudio;
						kAux++;
					}
					
					
				}
			}
			if(kSecundario==3){
				var kAux=0;
				for(var krd=0;krd<porcentajes.length;krd++){						
					if(krd%2==0){
						porcentajes[krd].value=arregloAuxOtro[kAux].rsDLA;
					}else if(krd%2!=0){
						porcentajes[krd].value=arregloAuxOtro[kAux].rsEstudio;
						kAux++;
					}
					
					
				}
			}
 
		}
	}
	
}